<?php 
    include("../../../config.php");
	include("../../../css/design.php");
	include("../../../scripts/functions.php");

    $data = json_decode(file_get_contents("cache/data.txt"),true);

    $id = $_GET['id'];
    $parameter = $_GET['parameter'];

    if($parameter=="Wh"){
        $output['units'] = "m";
        $output['name'] = "Wave Height";
    }
    else if($parameter=="P"){
        $output['units'] = "hPa";
        $output['name'] = "Pressure";
    }
    else if($parameter=="V"){
        $output['units'] = "nmi";
        $output['name'] = "Visibility";
    }
    else if($parameter=="T"){
        $output['units'] = "°C";
        $output['name'] = "Temperature";
    }
    else if($parameter=="S"){
        $output['units'] = "kts";
        $output['name'] = "Wind Speed";
    }
    else if($parameter=="Pt"){
        $output['units'] = "Pa/s";
        $output['name'] = "Pressure Tendency";
    }
    else if($parameter=="Dp"){
        $output['units'] = "°C";
        $output['name'] = "Dew point";
    }
    else if($parameter=="H"){
        $output['units'] = "%";
        $output['name'] = "Screen Relative Humidity";
    }
    else if($parameter=="St"){
        $output['units'] = "°C";
        $output['name'] = "Sea Temperature";
    }
    else if($parameter=="Wp"){
        $output['units'] = "s";
        $output['name'] = "Wave Period";
    }
    else{
        $output['units'] = "";
        $output['name'] = "";
    }

    foreach($data[$id]['values'] as $dataSet){
        $output['data'][] = $dataSet[$parameter];
    }

    echo json_encode($output, JSON_NUMERIC_CHECK);