<?php 

    $data = json_decode(file_get_contents("cache/data.txt"),true);

    $id = $_GET['ship'];

    $values = $data[$id]['values'];
    foreach($values as $oneSet){
        foreach($oneSet as $key=>$val){
            if($val!=="null"){
                $params[] = $key;
            }
        }
    }

    $params = array_unique($params);
    $params = array_values($params);

    function replaceParam($parameter){
        if($parameter=="Wh"){
            return "Wave Height";
        }
        else if($parameter=="P"){
            return "Pressure";
        }
        else if($parameter=="V"){
            return "Visibility";
        }
        else if($parameter=="T"){
            return "Temperature";
        }
        else if($parameter=="S"){
            return "Wind Speed";
        }
        else if($parameter=="Pt"){
            return "Pressure Tendency";
        }
        else if($parameter=="Dp"){
            return "Dew point";
        }
        else if($parameter=="H"){
            return "Screen Relative Humidity";
        }
        else if($parameter=="St"){
            return "Sea Temperature";
        }
        else if($parameter=="Wp"){
            return "Wave Period";
        }
        else{
            return "";
        }
    }

?>

<select id="marineUKParamSelector" class="button2">
    <option value="">Select parameter</option>
    <?php 
        for($i=0;$i<count($params);$i++){
    ?>
            <option value="<?php echo $params[$i]?>"><?php echo replaceParam($params[$i])?></option>
    <?php
        }
    ?>
</select>

<script>
    $("#marineUKParamSelector").change(function(){
        param = $(this).val();
        if(param==""){
            return false;
        }
        ship = <?php echo $id?>;
        updateMarineUK(ship, param);
    })
</script>